serial8250_register_port
Prev | Chapter 23. 16x50 UART Driver | Next

## Name

serial8250_register_port — register a serial port

## Synopsis

`int serial8250_register_port (` | struct uart_port * | port`)`;

## Arguments

`port`

  serial port template

## Description

Configure the serial port specified by the request. If the port exists and is in use, it is hung up and unregistered first.

The port is then probed and if necessary the IRQ is autodetected If this fails an error is returned.

On success the port is ready to use and the line number is returned.

Prev | Up | Next
serial8250_resume_port | Home | serial8250_unregister_port